Subject: Re: [PATCH 0/2] git-am: add --message-id/--no-message-id options

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 Nov 2014 12:05:59 -0800

Paolo Bonzini <[email-masked]> writes:

> On 25/11/2014 19:33, Junio C Hamano wrote:
>>> > If both --message-id and -s are specified, the Signed-off-by goes
>>> > last.  This is coming out more or less naturally out of the git-am
>>> > implementation, but is also tested in t4150-am.sh.
>> Nice.  So if you apply a message whose last sign-off is yourself
>> with both of these options, what would we see?
>> 
>>     1. S-o-b: you and then M-id: and then another S-o-b: you?
>>     2. M-id: and then S-o-b: you?
>>     3. S-o-b: you and then M-id:?
>> 
>> I do not offhand know which one of the above possibilities to favor
>> more over others myself.  Just asking to find out more about the
>> thinking behind the design.
>
> You currently get (1), which is arguably the most precise but definitely
> the ugliest.
>
> In this case (posting as maintainer), I would probably not use "git am
> --message-id"; instead I would use an alias to add the Message-Id (with
> git interpret-trailers!) after posting to the mailing list, resulting in
> either (2) or (3).
>
> I think (but I am not sure) that git-am could use a hook to rewrite (1)
> into (2) or (3).

I actually do not think (1) is more (or less for that matter) ugly
compared to either of the others.

Thanks.  Let's queue these two series for the next cycle.